<?php

// Web routes  for master_difficulty.

// Guard routes for master_difficulty
Route::prefix('{guard}/master_difficulty')->group(function () {
    Route::resource('master_difficulty', 'MasterDifficultyResourceController');
});



// Public routes for master_difficulty
Route::get('master_difficulties/', 'MasterDifficultyPublicController@index');
Route::get('master_difficulty/{slug?}', 'MasterDifficultyPublicController@show');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for master_difficulty
            Route::prefix('{guard}/master_difficulty')->group(function () {
                Route::resource('master_difficulty', 'MasterDifficultyResourceController');
            });
            
            

            // Public routes for master_difficulty
            Route::get('master_difficulties/', 'MasterDifficultyPublicController@index');
            Route::get('master_difficulty/{slug?}', 'MasterDifficultyPublicController@show');

        }
    );
}