<?php

namespace Litecms\MasterDifficulty\Seeds;

use DB;
use Illuminate\Database\Seeder;

class MasterDifficultyTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('master_difficulties')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'master_difficulty.master_difficulty.view',
                'name'      => 'View MasterDifficulty',
            ],
            [
                'slug'      => 'master_difficulty.master_difficulty.create',
                'name'      => 'Create MasterDifficulty',
            ],
            [
                'slug'      => 'master_difficulty.master_difficulty.edit',
                'name'      => 'Update MasterDifficulty',
            ],
            [
                'slug'      => 'master_difficulty.master_difficulty.delete',
                'name'      => 'Delete MasterDifficulty',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/master_difficulty/master_difficulty',
                'name'        => 'MasterDifficulty',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/master_difficulty/master_difficulty',
                'name'        => 'MasterDifficulty',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'master_difficulty',
                'name'        => 'MasterDifficulty',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'MasterDifficulty',
                'module'    => 'MasterDifficulty',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'master_difficulty.master_difficulty.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
