<?php

namespace Litecms\MasterDifficulty;

use User;

class MasterDifficulty
{
    /**
     * $master_difficulty object.
     */
    protected $master_difficulty;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\MasterDifficulty\Interfaces\MasterDifficultyRepositoryInterface $master_difficulty)
    {
        $this->master_difficulty = $master_difficulty;
    }

    /**
     * Returns count of master_difficulty.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Find master_difficulty by slug.
     *
     * @param array $filter
     *
     * @return int
     */
    public function master_difficulty($slug)
    {
        return  $this->master_difficulty
            ->findBySlug($slig)
            ->toArray();
    }
}
